Failed to resolve: junit:junit:4.12解决方案

原创
2016/11/18 21:02
阅读数 6K

Failed to resolve: junit:junit:4.12解决方案

:

出现原因:

项目中引用了junit库中的代码,但是却没有相关的junit的依赖库

解决办法:

方法1:添加相关的依赖库;方法2:删除对junit相关的引用

1、在项目的Module的build.gradle中添加如下代码就OK了

repositories {
    maven { url 'http://repo1.maven.org/maven2' }
}

2、在项目的Module的build.gradle中删除对junit的引用就可以了

即把下面这句删掉

testCompile 'junit:junit:4.12'

但是采用第二种方法,删除之后会有一个问题,在src 的 java代码中,用到了junit库相关代码的地方就会报错,这时我们又要将这些引用到了junit的地方删掉,如果你不需要做单元测试的话,可以将跟junit相关的东西删掉,不过最好还是采用第一种方式,保留单元测试的功能。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部